Subject: [SWIPL] Editing

From: [email-masked]
Date: Thu, 15 Feb 2001 12:42:48 +0000

This might seem stupid but I'm having problems getting a 
simple editor to work. I have used SWI-Prolog version 1.9.5 
for some time (actually, if it's 1.9.5 it must be a very 
long time) and found that typing:

	?- setenv(editor, notepad).

as  the first line in a session works fine: when I use 
edit/1 the system either loads the required file if already 
created or asks if I want to create such a file if not.

	Having up-graded to version 4.0.0 (running under 
both Windows 98 and NT) I find that this no longer works. 
>From the on-line documentation it looks like I don't need 
to use setenv/2 since edit/1 should default to Notepad. 
However, all I get is:

   ?- edit('foo.pl').
   WARNING: Cannot find anything to edit from "'foo.pl'"
   No

Using setenv/2 doesn't help. What am I doing wrong?

Clive Matthews